GoodData | Developer Network

Create User


Description

To provision user to project you need to first provision new user to domain. You need to have your own domain. If you don’t have your domain, but need one, please contact our Support.

Request

HTTP Request

POST

https://secure.gooddata.com/gdc/account/domains/YOUR_DOMAIN/users

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Following JSON payload should be sent to create a new project:

{
 "accountSetting":{
    "login": "user@login.com",
    "password":"PASSWORD",
    "verifyPassword":" PASSWORD ",
    "firstName":"FirstName",
    "lastName":"LastName",
    "timezone":"TIMEZONE|NULL",
    "country":"COUNTRY",
    "phoneNumber":"NUMBER",
    "ssoProvider":"SSO-PROVIDER"
 }
}

Response

201 Created HTTP Status + URI of created User:

{
"uri" : "/gdc/account/profile/USER_ID"
}

Add User to Project


Description

Resource for provision user to the specific Project.

Request

HTTP Request

POST

https://secure.gooddata.com/gdc/projects/PROJECT_ID/users

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Following JSON payload should be sent to create a new project:

{ "user" : {
     "content" : {
           "status":"ENABLED",
           "userRoles":["/gdc/projects/PROJECT_ID/roles/ROLE_ID"]
                 },
     "links"   : {
           "self":"/gdc/account/profile/USER_ID"
                }
    }
}

Response

200 OK HTTP Status + following JSON formatted result:

{"projectUsersUpdateResult":{
    "successful":["/gdc/account/profile/PROFILE_ID"],
    "failed":[]}
}

Disable / Enable User in Project


Description

Resource for Disabling or Enabling Users in given Project.

Request

HTTP Request

POST

https://secure.gooddata.com/gdc/projects/PROJECT_ID/users

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Following JSON payload should be sent to create a new project:

{
    "users": [
        {
            "user": {
                "content": {
                    "status": "DISABLED"
                },
                "links": {
                    "self": "/gdc/account/profile/USER-ID"
                }
            }
        }
    ]
}

Response

200 OK HTTP Status + following JSON formatted result:

{"projectUsersUpdateResult":{
    "successful":["/gdc/account/profile/PROFILE_ID"],
    "failed":[]}
}

List all Domain Users


Description

The domain admin can list all users that exist in given domain.

Request

HTTP Request

GET

https://secure.gooddata.com/gdc/account/domains/DOMAIN_NAME/users

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Empty

Response

200 OK HTTP Status + JSON formatted list of all users in domain


Delete User


Description

Resource for deleting the specified user.

Request

HTTP Request

DELETE

https://secure.gooddata.com/gdc/account/profile/USER_ID

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Empty

Response

200 OK HTTP Status